## Update TransactionType

### cURL

```bash
curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "version": 123,
  "code": "code",
  "archived": true
}
'  
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes/{id}"

payload = {
    "name": "<string>",
    "version": 123,
    "code": "code",
    "archived": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', version: 123, code: 'code', archived: true})
};

fetch('https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => '<string>',
    'version' => 123,
    'code' => 'code',
    'archived' => true
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes/{id}"

payload := strings.NewReader("{\n  \"name\": \"<string>\",\n  \"version\": 123,\n  \"code\": \"code\",\n  \"archived\": true\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

### Response

```json
{
  "id": "<string>",
  "version": 123,
  "code": "<string>",
  "name": "<string>",
  "archived": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

### Error Responses

- **200**
- **4XX**
- **5XX**

### Authorizations

Authorization
- string, required in header
- m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.
- The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**: The unique identifier (UUID) of your Organization.
- **id**: The unique identifier (UUID) of the TransactionType to update.

### Body (application/json)

- **name**: required string (length 1 - 200)
- **version**: integer, required for update
- **code**: short code (maximum length 80)
- **archived**: boolean flag
